## Update domain `client.registrar.domains.update(stringdomainName, DomainUpdateParamsparams, RequestOptionsoptions?): DomainUpdateResponse | null` **put** `/accounts/{account_id}/registrar/domains/{domain_name}` Update individual domain. ### Parameters - `domainName: string` Domain name. - `params: DomainUpdateParams` - `account_id: string` Path param: Identifier - `auto_renew?: boolean` Body param: Auto-renew controls whether subscription is automatically renewed upon domain expiration. - `locked?: boolean` Body param: Shows whether a registrar lock is in place for a domain. - `privacy?: boolean` Body param: Privacy option controls redacting WHOIS information. ### Returns - `DomainUpdateResponse = unknown` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const domain = await client.registrar.domains.update('cloudflare.com', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(domain); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": {}, "success": true } ```